Bug 1842234 - mysqld crashes under stmt_execute
Summary: mysqld crashes under stmt_execute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 32
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-31 09:19 UTC by Milan Crha
Modified: 2020-10-01 00:15 UTC (History)
10 users (show)

Fixed In Version: mariadb-10.4.14-2.fc32 mariadb-10.4.14-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 18:32:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
mariadb.log (13.56 KB, text/plain)
2020-05-31 09:19 UTC, Milan Crha
no flags Details

Description Milan Crha 2020-05-31 09:19:33 UTC
Created attachment 1693791 [details]
mariadb.log

1. Please describe the problem:

The mysqld process crashes when I try to "Watch TV" in MythTV frontend.

2. Specify used package versions
# dnf list installed | grep -i -e maria -e mysql -e galera

kf5-akonadi-server-mysql.x86_64                                  19.12.2-1.fc32                         @fedora                
mariadb.x86_64                                                   3:10.4.12-3.fc32                       @fedora                
mariadb-backup.x86_64                                            3:10.4.12-3.fc32                       @fedora                
mariadb-backup-debuginfo.x86_64                                  3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-common.x86_64                                            3:10.4.12-3.fc32                       @fedora                
mariadb-connect-engine-debuginfo.x86_64                          3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-connector-c.x86_64                                       3.1.7-2.20200316gitfbf1db6.fc32        @fedora                
mariadb-connector-c-config.noarch                                3.1.7-2.20200316gitfbf1db6.fc32        @fedora                
mariadb-connector-c-debuginfo.x86_64                             3.1.7-2.20200316gitfbf1db6.fc32        @fedora-debuginfo      
mariadb-connector-c-debugsource.x86_64                           3.1.7-2.20200316gitfbf1db6.fc32        @fedora-debuginfo      
mariadb-connector-c-devel.x86_64                                 3.1.7-2.20200316gitfbf1db6.fc32        @fedora                
mariadb-connector-c-devel-debuginfo.x86_64                       3.1.7-2.20200316gitfbf1db6.fc32        @fedora-debuginfo      
mariadb-connector-c-test-debuginfo.x86_64                        3.1.7-2.20200316gitfbf1db6.fc32        @fedora-debuginfo      
mariadb-connector-odbc-debuginfo.x86_64                          3.1.6-2.fc32                           @fedora-debuginfo      
mariadb-connector-odbc-debugsource.x86_64                        3.1.6-2.fc32                           @fedora-debuginfo      
mariadb-cracklib-password-check.x86_64                           3:10.4.12-3.fc32                       @fedora                
mariadb-cracklib-password-check-debuginfo.x86_64                 3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-debuginfo.x86_64                                         3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-debugsource.x86_64                                       3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-devel.x86_64                                             3:10.4.12-3.fc32                       @fedora                
mariadb-embedded-debuginfo.x86_64                                3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-errmsg.x86_64                                            3:10.4.12-3.fc32                       @fedora                
mariadb-gssapi-server.x86_64                                     3:10.4.12-3.fc32                       @fedora                
mariadb-gssapi-server-debuginfo.x86_64                           3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-oqgraph-engine-debuginfo.x86_64                          3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-rocksdb-engine.x86_64                                    3:10.4.12-3.fc32                       @fedora                
mariadb-rocksdb-engine-debuginfo.x86_64                          3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-server.x86_64                                            3:10.4.12-3.fc32                       @fedora                
mariadb-server-debuginfo.x86_64                                  3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-server-utils.x86_64                                      3:10.4.12-3.fc32                       @fedora                
mariadb-server-utils-debuginfo.x86_64                            3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-sphinx-engine-debuginfo.x86_64                           3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-test-debuginfo.x86_64                                    3:10.4.12-3.fc32                       @fedora-debuginfo      
mariadb-tokudb-engine.x86_64                                     3:10.4.12-3.fc32                       @fedora                
mariadb-tokudb-engine-debuginfo.x86_64                           3:10.4.12-3.fc32                       @fedora-debuginfo      
mysql-selinux.noarch                                             1.0.0-9.fc32                           @fedora                
perl-DBD-MySQL.x86_64                                            4.050-6.fc32                           @fedora                
php-mysqlnd.x86_64                                               7.4.6-1.fc32                           @updates               
python3-mysql.x86_64                                             1.4.6-2.fc32                           @fedora                
qt5-qtbase-mysql.x86_64                                          5.13.2-5.fc32                          @updates  

3. Does a systemd journal say anything about the issue?
# journalctl -xe -u mariadb -u mysqld

It does, when being run as root, but nothing interesting, I'd say. It ends with:

May 31 11:10:14 zyxPad mysql-check-socket[2289]: Socket file /var/lib/mysql/mysql.sock exists.
May 31 11:10:14 zyxPad mysql-check-socket[2289]: No process is using /var/lib/mysql/mysql.sock, which means it is a garbage, so it will be removed automatically.
May 31 11:10:14 zyxPad mysql-prepare-db-dir[2315]: Database MariaDB is probably initialized in /var/lib/mysql already, nothing is done.
May 31 11:10:14 zyxPad mysql-prepare-db-dir[2315]: If this is not the case, make sure the /var/lib/mysql is empty before running mysql-prepare-db-dir.
May 31 11:10:14 zyxPad mysqld[2350]: 2020-05-31 11:10:14 0 [Note] /usr/libexec/mysqld (mysqld 10.4.12-MariaDB) starting as process 2350 ...
May 31 11:10:16 zyxPad systemd[1]: Started MariaDB 10.4 database server.
-- Subject: A start job for unit mariadb.service has finished successfully
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit mariadb.service has finished successfully.
-- 
-- The job identifier is 2009.


4. Please check and attach the MariaDB or MySQL server log?  ("/var/log/mariadb/mariadb.log" or "/var/log/mysql/mysqld.log")

Attached.

5. Please check and paste your configuration here; remove sensitive information.
# /usr/libexec/mysqld --print-defaults

/usr/libexec/mysqld would have been started with the following arguments:
--datadir=/var/lib/mysql --socket=/var/lib/mysql/mysql.sock --log-error=/var/log/mariadb/mariadb.log --pid-file=/run/mariadb/mariadb.pid --plugin-load-add=ha_rocksdb.so --plugin-load-add=ha_tokudb.so 


5. Can you reproduce this issue? If so, please provide the steps to reproduce the issue below:

As said at the top, I only wanted to 'Watch TV' in MythTV frontend (mythtv-31.0-1.fc32.x86_64). MythTV's log says:

***************************************************************************
020-05-31 11:10:03.031608 I [2084/2106] TVRecEvent cardutil.cpp:1170:SetDeliverySystem  CardUtil[1]: Set delivery system: DVB-T2
2020-05-31 11:10:03.076818 E [2084/2084] CoreContext storagegroup.cpp:185:Init  SG(LiveTV): Unable to find any Storage Group Directories.  Using hardcoded default value of '/mnt/store'
2020-05-31 11:10:03.079745 E [2084/2084] CoreContext autoexpire.cpp:144:CalcParams  AutoExpire: Filesystem Info cache is empty, unable to calculate necessary parameters.
2020-05-31 11:10:03.083381 W [2084/2106] TVRecEvent programinfo.cpp:5530:LoadFromProgram  LoadFromProgram(): SQL contains LIMIT clause, caller should be updated to use limit parameter instead
QMYSQLResult::cleanup: unable to free statement handle
2020-05-31 11:10:09.385825 E [2084/2106] TVRecEvent mythdb.cpp:181:DBError  DB Error (LoadByTemplate):
Query was:
SELECT recordid, category,        (category = ?) AS catmatch,        (category = ?) AS typematch FROM record WHERE type = ? AND       (category = ? OR category = ?        OR category = 'Default') ORDER BY catmatch DESC, typematch DESC
Bindings were:
:CAT1="", :CAT2="", :CATTYPE1="", :CATTYPE2="", :TEMPLATE=11
Driver error was [2/2006]:
QMYSQL3: Unable to execute statement
Database error was:
MySQL server has gone away

2020-05-31 11:10:09.386079 E [2084/2106] TVRecEvent mythdbcon.cpp:843:prepare  Error preparing query: SELECT name FROM playgroup WHERE name = :TITLE1 OR       name = :CATEGORY OR       (titlematch <> '' AND        :TITLE2 REGEXP titlematch) 
2020-05-31 11:10:09.386082 E [2084/2106] TVRecEvent mythdbcon.cpp:845:prepare  Driver error was [2/2006]:
QMYSQL3: Unable to prepare statement
Database error was:
MySQL server has gone away

2020-05-31 11:10:09.386103 I [2084/2106] TVRecEvent mythdbcon.cpp:631:exec  MySQL server disconnected
2020-05-31 11:10:09.386111 E [2084/2106] TVRecEvent mythdb.cpp:181:DBError  DB Error (GetInitialName):
Query was:
SELECT name FROM playgroup WHERE name = ? OR       name = ? OR       (titlematch <> '' AND        ? REGEXP titlematch) 
Bindings were:
:CATEGORY=NULL, :TITLE1="", :TITLE2=""
Driver error was [2/2006]:
QMYSQL3: Unable to prepare statement
Database error was:
MySQL server has gone away

2020-05-31 11:10:09.386212 E [2084/2106] TVRecEvent mythdbcon.cpp:235:OpenDatabase  [DBManager2] Unable to connect to database!
2020-05-31 11:10:09.386222 E [2084/2106] TVRecEvent mythdbcon.cpp:236:OpenDatabase  Driver error was [1/2002]:
QMYSQL: Unable to connect
Database error was:
Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (111)

2020-05-31 11:10:09.386278 I [2084/2106] TVRecEvent mythdbcon.cpp:820:prepare  MySQL server disconnected
2020-05-31 11:10:09.386295 I [2084/2106] TVRecEvent mythdbcon.cpp:631:exec  MySQL server disconnected
2020-05-31 11:10:09.386298 E [2084/2106] TVRecEvent mythdb.cpp:181:DBError  DB Error (RecGroup update):
Query was:

No error type from QSqlError?  Strange...
***************************************************************************

and the coredumpctl caught the backtace of the crash and shows:

Core was generated by `/usr/libexec/mysqld --basedir=/usr'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000557d96bf85e1 in sortcmp (s=0x0, t=0x7ff59723d1d0, cs=0x557d97a5a220 <my_charset_utf8_general_ci>) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_string.h:206
206	  inline const char *ptr() const { return Ptr; }
[Current thread is 1 (Thread 0x7ff5eb4d4700 (LWP 2107))]

(gdb) bt full
#0  0x0000557d96bf85e1 in sortcmp (s=0x0, t=0x7ff59723d1d0, cs=0x557d97a5a220 <my_charset_utf8_general_ci>) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_string.h:206
No locals.
#1  0x0000557d96cbe694 in String::eq (cs=<optimized out>, other=0x7ff59723d1d0, this=0x0) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_string.h:974
No locals.
#2  Type_handler_string_result::Item_const_eq (this=<optimized out>, a=0x7ff59726e0c8, b=0x7ff59723d220, binary_cmp=<optimized out>) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_type.cc:7899
        sa = 0x0
        sb = 0x7ff59723d1d0
#3  0x0000557d96dad939 in Item::eq_by_collation (this=0x7ff59726e048, item=0x7ff59723d1a0, binary_cmp=<optimized out>, cs=<optimized out>) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/item.cc:6325
        save_cs = 0x557d979f1f20 <my_charset_bin>
        save_item_cs = 0x0
        res = <optimized out>
#4  0x0000557d96b9f7b6 in merge_key_fields (and_level=3, end=0x7ff59723e0d8, new_fields=<optimized out>, start=0x7ff59723e068) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:5711
        old = 0x7ff59723e068
        first_free = 0x7ff59723e0a0
        first_free = <optimized out>
        old = <optimized out>
        old = <optimized out>
#5  Item_cond::add_key_fields (this=<optimized out>, join=0x7ff59723cb70, key_fields=0x7ff5eb4ced40, and_level=0x7ff5eb4ced3c, usable_tables=18446744073709551615, sargables=0x7ff5eb4cee78)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:6125
        start_key_fields = <optimized out>
        li = <optimized out>
        org_key_fields = 0x7ff59723e068
        item = <optimized out>
#6  0x0000557d96b9f523 in Item_cond_and::add_key_fields (this=<optimized out>, join=0x7ff59723cb70, key_fields=0x7ff5eb4ced40, and_level=0x7ff5eb4ced3c, usable_tables=<optimized out>, sargables=<optimized out>)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:6100
        li = <optimized out>
        org_key_fields = 0x7ff59723e068
        item = <optimized out>
#7  0x0000557d96ba073c in update_ref_and_keys (thd=thd@entry=0x7ff597207b08, keyuse=keyuse@entry=0x7ff59723ce60, join_tab=0x7ff59723d5f8, tables=1, cond=0x7ff59723c820, normal_tables=normal_tables@entry=18446744073709551615, 
    select_lex=0x7ff59726c128, sargables=0x7ff5eb4cee78) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:6781
        saved_field = 0x7ff59723e068
        and_level = 3
        i = <optimized out>
        key_fields = 0x7ff59723e068
        end = 0x7ff59723e0d8
        field = 0x7ff59723e068
        sz = <optimized out>
        m = <optimized out>
        sel = 0x7ff59726c128
#8  0x0000557d96bcf573 in make_join_statistics (keyuse_array=0x7ff59723ce60, tables_list=..., join=0x7ff59723cb70) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:5045
        skip_unprefixed_keyparts = <optimized out>
        has_expensive_keyparts = <optimized out>
        stat_vector = 0x7ff59723db88
        sargables = 0x7ff59723e2c0
        error = 0
        key = <optimized out>
        no_rows_const_tables = <optimized out>
        found_ref = <optimized out>
        s = <optimized out>
        stat_ref = 0x7ff59723d9a0
        keyuse = <optimized out>
        start_keyuse = <optimized out>
        outer_join = <optimized out>
        i = <optimized out>
        table_vector = 0x7ff59723db98
        stat = 0x7ff59723d5f8
        stat_end = 0x7ff59723d9a0
        table = <optimized out>
        const_ref = <optimized out>
        ti = <optimized out>
        tables = <optimized out>
        table_count = 1
        found_const_table_map = 0
        all_table_map = <optimized out>
        refs = <optimized out>
        const_count = 1
        eq_part = <optimized out>
        thd = <optimized out>
        ref_changed = <optimized out>
        error = <optimized out>
        table = <optimized out>
        i = <optimized out>
        table_count = <optimized out>
        const_count = <optimized out>
        key = <optimized out>
        found_const_table_map = <optimized out>
        all_table_map = <optimized out>
        found_ref = <optimized out>
        refs = <optimized out>
        const_ref = <optimized out>
        eq_part = <optimized out>
        has_expensive_keyparts = <optimized out>
        table_vector = <optimized out>
        stat = <optimized out>
        stat_end = <optimized out>
        s = <optimized out>
        stat_ref = <optimized out>
        stat_vector = <optimized out>
        keyuse = <optimized out>
        start_keyuse = <optimized out>
        outer_join = <optimized out>
        no_rows_const_tables = <optimized out>
        sargables = <optimized out>
        ti = <optimized out>
        tables = <optimized out>
        thd = <optimized out>
        ref_changed = <optimized out>
        embedding = <optimized out>
        all_partitions_pruned_away = <optimized out>
        inside_an_outer_join = <optimized out>
        nested_join = <optimized out>
        t = <optimized out>
        skip_unprefixed_keyparts = <optimized out>
        p_pos = <optimized out>
        p_end = <optimized out>
        tmp = <optimized out>
        pos = <optimized out>
        tmp = <optimized out>
        embedding = <optimized out>
        keyinfo = <optimized out>
        key_parts = <optimized out>
        base_part = <optimized out>
        base_const_ref = <optimized out>
        base_eq_part = <optimized out>
        tmp = <optimized out>
        field = <optimized out>
        join_tab = <optimized out>
        possible_keys = <optimized out>
        is_const = <optimized out>
        j = <optimized out>
        conds = <optimized out>
        orig_cond_equal = <optimized out>
        pos = <optimized out>
        rows_estimation_wrapper = <optimized out>
        rows_estimation = <optimized out>
        table_records = <optimized out>
        impossible_range = <optimized out>
        records = <optimized out>
        select = <optimized out>
        sargable_cond = <optimized out>
        emb = <optimized out>
        records = <optimized out>
        unit = <optimized out>
        rows = <optimized out>
        rr = <optimized out>
        tmp_table = <optimized out>
        ti2 = <optimized out>
#9  JOIN::optimize_inner (this=0x7ff59723cb70) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:2251
        trace_wrapper = {<Json_writer_struct> = {my_writer = 0x0, context = {writer = 0x0}, closed = false}, <No data fields>}
        trace_prepare = {<Json_writer_struct> = {my_writer = 0x0, context = {writer = 0x0}, closed = false}, <No data fields>}
        trace_steps = {<Json_writer_struct> = {my_writer = 0x0, context = {writer = 0x0}, closed = false}, <No data fields>}
        sel = <optimized out>
        eq_list = {<base_list> = {<Sql_alloc> = {<No data fields>}, first = 0x557d97a6ccb0 <end_of_list>, last = 0x7ff5eb4ceee0, elements = 0}, <No data fields>}
        ignore_on_expr = <optimized out>
#10 0x0000557d96bd137b in JOIN::optimize (this=this@entry=0x7ff59723cb70) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:1598
        res = 0
        init_state = <optimized out>
#11 0x0000557d96bd1545 in mysql_select (thd=0x7ff597207b08, tables=0x7ff59726d328, wild_num=0, fields=..., conds=0x7ff59723c820, og_num=<optimized out>, order=0x7ff59726f928, group=0x0, having=0x0, proc_param=0x0, 
    select_options=2416184064, result=0x7ff59726fb70, unit=0x7ff59726a460, select_lex=0x7ff59726c128) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:4652
        err = <optimized out>
        free_join = true
        join = 0x7ff59723cb70
#12 0x0000557d96bd2026 in handle_select (thd=thd@entry=0x7ff597207b08, lex=lex@entry=0x7ff59726a3a0, result=result@entry=0x7ff59726fb70, setup_tables_done_option=setup_tables_done_option@entry=0)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_select.cc:408
        unit = 0x7ff59726a460
        res = <optimized out>
        select_lex = 0x7ff59726c128
#13 0x0000557d96b6446b in execute_sqlcom_select (thd=0x7ff597207b08, all_tables=0x7ff59726d328) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_parse.cc:6360
        save_protocol = 0x0
        lex = 0x7ff59726a3a0
        result = 0x7ff59726fb70
        res = <optimized out>
#14 0x0000557d96b71728 in mysql_execute_command (thd=0x7ff597207b08) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_parse.cc:3899
        privileges_requested = <optimized out>
        res = 0
        up_result = 0
        lex = 0x7ff59726a3a0
        select_lex = <optimized out>
        first_table = <optimized out>
        all_tables = 0x7ff59726d328
        unit = 0x7ff59726a460
        have_table_map_for_update = false
        rpl_filter = <optimized out>
        ots = {ctx = 0x7ff59720b480, traceable = false}
        trace_command = {<Json_writer_struct> = {my_writer = 0x0, context = {writer = 0x0}, closed = false}, <No data fields>}
        trace_command_steps = {<Json_writer_struct> = {my_writer = 0x0, context = {writer = 0x0}, closed = false}, <No data fields>}
        orig_binlog_format = <optimized out>
        orig_current_stmt_binlog_format = BINLOG_FORMAT_STMT
#15 0x0000557d96b88604 in Prepared_statement::execute (this=0x7ff597267008, expanded_query=<optimized out>, open_cursor=false) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_prepare.cc:4760
        parent_locker = 0x0
        stmt_backup = {<ilink> = {_vptr.ilink = 0x557d978a3fb0 <vtable for Statement+16>, prev = 0x0, next = 0x0}, <Query_arena> = {_vptr.Query_arena = 0x557d978a3fe0 <vtable for Statement+64>, free_list = 0x0, 
            mem_root = 0x557d979f1f20 <my_charset_bin>, state = Query_arena::STMT_INITIALIZED}, id = 0, column_usage = MARK_COLUMNS_READ, name = {
            str = 0x557d96bf7904 <String::copy(char const*, unsigned long, charset_info_st const*, charset_info_st const*, unsigned int*)+276> "\351|\377\377\377\350r\237\344\377f\220\363\017\036\372UH\211\345AUATI\211\374SH\211\323H\201\354\210\001", length = 39}, lex = 0x7ff59720b7b0, query_string = {string = {
              str = 0x7ff59726bee8 "SELECT recordid, category,        (category = ?) AS catmatch,        (category = ?) AS typematch FROM record WHERE type = ? AND       (category = ? OR category = ?        OR category = 'Default') ORDE"..., length = 234}, cs = 0x557d97a59da0 <my_charset_utf8mb4_general_ci>}, base_query = {<Charset> = {m_charset = 0x557d979f1f20 <my_charset_bin>}, <Binary_string> = {<Static_binary_string> = {<Sql_alloc> = {<No data fields>}, Ptr = 0x0, 
                str_length = 0}, Alloced_length = 0, extra_alloc = 0, alloced = false, thread_specific = false}, <No data fields>}, db = {str = 0x7ff59726e570 "h\376\215\227}U", length = 0}, query_cache_is_applicable = -96 '\240'}
        old_stmt_arena = 0x7ff597207b20
        error = true
        qc_executed = false
        saved_cur_db_name_buf = "(p#\227\365\177\000\000H\373&\227\365\177\000\000\000\023M\353\365\177\000\000\307\304ږ}U\000\000\360\022M\353\365\177\000\000(\023M\353\365\177", '\000' <repeats 18 times>, "p\345&\227\365\177\000\000p\373&\227\365\177\000\000\bp&\227\365\177\000\000p\373&\227\365\177\000\000p\345&\227\365\177\000\000H\373&\227\365\177\000\000`\023M\353\365\177\000\000\267'\270\226}U\000\000(\023M\353\365\177\000\000RV\"\227\365\177\000\000dV\"\227\365\177\000\000dV\"\227\365\177\000\000P\023M\353\365\177\000\000\bp&\227\365\177\000\000RV\"\227\365\177\000\000\060\024M\353\365\177\000\000\000\000\000\000\000\000\000\000\b"...
        saved_cur_db_name = {str = 0x7ff5eb4d1290 "(p#\227\365\177", length = 202}
        cur_db_changed = false
        stmt_db_name = {str = 0x7ff59726bed8 "mythconverg", length = 11}
#16 0x0000557d96b88a08 in Prepared_statement::execute_loop (packet=<optimized out>, packet_end=<optimized out>, open_cursor=<optimized out>, expanded_query=0x7ff5eb4d1430, this=0x7ff597267008)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_prepare.cc:4246
        reprepare_observer = {m_invalidated = false}
        error = <optimized out>
        reprepare_attempt = 0
        reprepare_observer = <optimized out>
        error = <optimized out>
        reprepare_attempt = <optimized out>
#17 Prepared_statement::execute_loop (this=0x7ff597267008, expanded_query=0x7ff5eb4d1430, open_cursor=<optimized out>, packet=<optimized out>, packet_end=<optimized out>)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_prepare.cc:4201
        reprepare_observer = <optimized out>
        error = <optimized out>
#18 0x0000557d96b896bd in mysql_stmt_execute_common (thd=0x7ff597207b08, stmt_id=36, packet=0x7ff597225652 "\t\001\376", packet_end=0x7ff597225664 "", cursor_flags=0, bulk_op=<optimized out>, read_types=false)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_prepare.cc:3255
        expanded_query = {<Charset> = {m_charset = 0x557d979f1f20 <my_charset_bin>}, <Binary_string> = {<Static_binary_string> = {<Sql_alloc> = {<No data fields>}, Ptr = 0x0, str_length = 0}, Alloced_length = 0, extra_alloc = 0, 
            alloced = false, thread_specific = false}, <No data fields>}
        stmt = 0x7ff597267008
        save_protocol = 0x7ff597208048
        open_cursor = false
#19 0x0000557d96b89759 in mysqld_stmt_execute (thd=thd@entry=0x7ff597207b08, packet_arg=packet_arg@entry=0x7ff597225649 "$", packet_length=packet_length@entry=27) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_prepare.cc:3152
        packet = 0x7ff597225652 "\t\001\376"
        stmt_id = <optimized out>
        flags = <optimized out>
        packet_end = 0x7ff597225664 ""
#20 0x0000557d96b7570c in dispatch_command (command=COM_STMT_EXECUTE, thd=0x7ff597207b08, packet=<optimized out>, packet_length=<optimized out>, is_com_multi=<optimized out>, is_next_command=<optimized out>)
    at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_parse.cc:1765
        net = 0x7ff597207d78
        error = false
        do_end_of_statement = true
        drop_more_results = false
        __FUNCTION__ = "dispatch_command"
#21 0x0000557d96b77dfd in do_command (thd=0x7ff597207b08) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_parse.cc:1359
        return_value = <optimized out>
        packet = 0x7ff597225648 "\027$"
        packet_length = <optimized out>
        net = 0x7ff597207d78
        command = COM_STMT_EXECUTE
        __FUNCTION__ = "do_command"
#22 0x0000557d96c61be2 in do_handle_one_connection (connect=connect@entry=0x7ff5ec487c88) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_connect.cc:1412
        create_user = true
        thr_create_utime = <optimized out>
        thd = 0x7ff597207b08
#23 0x0000557d96c61d4f in handle_one_connection (arg=0x7ff5ec487c88) at /usr/src/debug/mariadb-10.4.12-3.fc32.x86_64/sql/sql_connect.cc:1316
        connect = 0x7ff5ec487c88
#24 0x00007ff5ed311432 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#25 0x00007ff5ecac59d3 in clone () from /lib64/libc.so.6
No symbol table info available.

Comment 1 Andrew Meredith 2020-08-21 14:49:58 UTC
I have exactly the same problem, with all the same symptoms, except I have a slightly newer version of the basic mariadb installed:

# dnf list installed | grep -i -e maria -e mysql -e galera
mariadb.x86_64                                     3:10.4.13-2.fc32                     @updates                         
mariadb-backup.x86_64                              3:10.4.13-2.fc32                     @updates                         
mariadb-common.x86_64                              3:10.4.13-2.fc32                     @updates                         
mariadb-connector-c.x86_64                         3.1.9-1.fc32                         @updates                         
mariadb-connector-c-config.noarch                  3.1.9-1.fc32                         @updates                         
mariadb-connector-c-debuginfo.x86_64               3.1.9-1.fc32                         @updates-debuginfo               
mariadb-connector-c-debugsource.x86_64             3.1.9-1.fc32                         @updates-debuginfo               
mariadb-cracklib-password-check.x86_64             3:10.4.13-2.fc32                     @updates                         
mariadb-errmsg.x86_64                              3:10.4.13-2.fc32                     @updates                         
mariadb-gssapi-server.x86_64                       3:10.4.13-2.fc32                     @updates                         
mariadb-server.x86_64                              3:10.4.13-2.fc32                     @updates                         
mariadb-server-utils.x86_64                        3:10.4.13-2.fc32                     @updates                         
mysql-selinux.noarch                               1.0.0-9.fc32                         @fedora                          
perl-DBD-MySQL.x86_64                              4.050-6.fc32                         @fedora                          
php-mysqlnd.x86_64                                 7.4.8-2.fc32                         @updates                         
php-williamdes-mariadb-mysql-kbs.noarch            1.2.10-1.fc32                        @fedora                          
python3-mysql.x86_64                               1.4.6-2.fc32                         @fedora                          
qt5-qtbase-mysql.x86_64                            5.14.2-5.fc32                        @updates                         
qt5-qtbase-mysql-debuginfo.x86_64                  5.14.2-5.fc32                        @updates-debuginfo

Comment 2 Fedora Update System 2020-09-03 22:56:13 UTC
FEDORA-2020-b6ef280648 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b6ef280648

Comment 3 Fedora Update System 2020-09-04 02:13:45 UTC
FEDORA-2020-9c0d1f10a5 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9c0d1f10a5

Comment 4 Fedora Update System 2020-09-04 15:28:05 UTC
FEDORA-2020-9c0d1f10a5 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9c0d1f10a5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9c0d1f10a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-04 19:16:32 UTC
FEDORA-2020-b6ef280648 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b6ef280648`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b6ef280648

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-09-05 18:32:19 UTC
FEDORA-2020-9c0d1f10a5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-10-01 00:15:01 UTC
FEDORA-2020-b6ef280648 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.